Package edu.hws.jcm.data

# Class ValueMath

java.lang.Object
edu.hws.jcm.data.ValueMath

All Implemented Interfaces:
  `Value`, `Serializable`

public class ValueMath extends Object implements Value
A ValueMath object is an easy way to create Value objects that are computed from other Value objects. For example, "new ValueMath(a,b,'+')" is an object whose value is obtained by adding the values of a and b.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ValueMath(Function f, Value x)`
Create a ValueMath object whose value is computed as f(x).
`ValueMath(Value x, Value y, char op)`
Create a ValueMath object whose value is computed by applying an arithmetic operator the values of x and y.

## Method Summary

Modifier and Type
Method
Description
`double`
`getVal()`
Get the value of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValueMath

public ValueMath(Value x, Value y, char op)
Create a ValueMath object whose value is computed by applying an arithmetic operator the values of x and y.

Parameters:
  `op` - The arithmetic operator that is to be applied to x and y. This should be one of the characters '+', '-', '*', '/', or '^'. (No error is thrown if another character is provided. It will be treated as a '/').

### ValueMath

public ValueMath(Function f, Value x)
Create a ValueMath object whose value is computed as f(x).

## Method Details

### getVal

public double getVal()
Get the value of this object.

Specified by:
  `getVal` in interface `Value`